{"openapi":"3.0.0","info":{"title":"3040Crypto API","version":"1.0.0","description":"The API provides endpoints to retrieve information related to cryptocurrency, including wallet balances."},"servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/heeejeong339/3040Crypto/1.0.0"},{"url":"https://api.3040crypto.com/v1","description":"Main Production Server"}],"tags":[{"name":"Wallet","description":"Wallet-related operations"}],"paths":{"/wallet/balance":{"get":{"summary":"Retrieve Wallet Balance","description":"Allows retrieve wallet balance for a specific cryptocurrency.","tags":["Wallet"],"parameters":[{"name":"userid","in":"query","description":"The unique id for the user's account.","required":true,"schema":{"type":"string"},"example":"joyId"},{"name":"password","in":"query","description":"The password for the user's account.","required":true,"schema":{"type":"string"},"example":"joyPassword"},{"name":"currency_name","in":"query","description":"The name of the cryptocurrency to retrieve the balance.","required":true,"schema":{"type":"string"},"example":"bitcoin"}],"responses":{"200":{"description":"Successful retrieval of wallet balance","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BalanceResponse"}}}},"400":{"description":"Bad request, invalid parameters"}}}}},"components":{"schemas":{"BalanceResponse":{"type":"object","properties":{"balance":{"type":"number","format":"float"},"currency_name":{"type":"string"}}}}}}